﻿"use strict";

//Preloader
var rotate = 1;
function hide_preloader() { //DOM
    rotate = 0;
    $("#preloader").fadeOut(1000);
    }
jQuery(document).ready(function($){
// loading animation using script
    function anim(){ $("#preloader_image").animate({left:'-1400px'}, 8000,
function(){ $("#preloader_image").animate({left:'0px'}, 5000 ); if(rotate==1){ anim();}  } );
}
anim();
});

jQuery(window).load(function($){

//Google Map
    var MY_MAPTYPE_ID = 'custom_style';

    var featureOpts = [
        
        {
            stylers: [
            { hue: '#ff1a00' },
            { invert_lightness: true },
            { saturation: -100  },
            { lightness: 33 },
            { gamma: 0.5 }
            ]
    },{
        featureType: 'water',
        elementType: 'geometry',
        stylers: [
            { color: '#2D333C' }
        ]
    }
    ];

    var latlng = new google.maps.LatLng(45.738028,21.224535);
    var settings = {
        zoom: 16,
        center: latlng,
        mapTypeControlOptions: {
            mapTypeIds: [google.maps.MapTypeId.ROADMAP, MY_MAPTYPE_ID]
        },
        mapTypeControl: false,
        mapTypeId: MY_MAPTYPE_ID,
        scrollwheel: false,
        draggable: true,
    };


    var map = new google.maps.Map(document.getElementById("map_canvas"), settings);

    var styledMapOptions = {
        name: 'Custom Style'
    };
    var customMapType = new google.maps.StyledMapType(featureOpts, styledMapOptions);

    map.mapTypes.set(MY_MAPTYPE_ID, customMapType);

    google.maps.event.addDomListener(window, "resize", function() {
        var center = map.getCenter();
        google.maps.event.trigger(map, "resize");
        map.setCenter(center);
    });

    var contentString = '<div id="content">'+
        '<div id="siteNotice">'+
        '</div>'+
        '<h3 id="firstHeading" class="firstHeading">W&M STUDIO</h3>'+
        '<div id="bodyContent">'+
        '<p>Come here and drink a coffee!</p>'+
        '</div>'+
        '</div>';
    var infowindow = new google.maps.InfoWindow({
        content: contentString
    });

    var companyImage = new google.maps.MarkerImage('images/marker.png',
        new google.maps.Size(26,41),<!-- Width and height of the marker -->
        new google.maps.Point(0,0),
        new google.maps.Point(35,20)<!-- Position of the marker -->
    );



    var companyPos = new google.maps.LatLng(45.738028,21.224535);

    var companyMarker = new google.maps.Marker({
        position: companyPos,
        map: map,
        icon: companyImage,
        title:"W&M STUDIO",
        zIndex: 3});



    google.maps.event.addListener(companyMarker, 'click', function() {
        infowindow.open(map,companyMarker);
    });

});


jQuery(document).ready(function(e){e("#navigation .menu-mobile").click(function(){e(this).toggleClass("menu-mobile-active");e("#navigation ul.menu").toggleClass("fade-nav");e("#navigation.nav-ver2").toggleClass("nav-active")});e("#navigation ul.menu a").click(function(){e(".menu-mobile").removeClass("menu-mobile-active");e("#navigation ul.menu").removeClass("fade-nav");e("#navigation.nav-ver2").removeClass("nav-active")});e("#style-option .button").click(function(){e("#style-option").toggleClass("style-option-toggle")});e(".contact-link").click(function(){e("html").animate({scrollTop:e("#start-project").offset().top},"slow");return false});e("#header-wrap.video").addClass("video-place");e(".play-btn").click(function(){e(".pause-btn, .volume-btn").fadeIn(600);e(".play-btn, #header-wrap.video .logo, #header-wrap.video h2, #header-wrap.video .link, #owl-text").fadeOut(600);e("#header-wrap.video").removeClass("video-place")});e(".pause-btn").click(function(){e(".play-btn, #header-wrap.video .logo, #header-wrap.video h2, #header-wrap.video .link, #owl-text").fadeIn(600);e(".pause-btn, .volume-btn").fadeOut(600);e("#header-wrap.video").addClass("video-place")});var t=e(window).height();e("header#header-wrap").css("height",t+"px");e(".skillbar").appear(function(){e(this).find(".skillbar-run").animate({width:e(this).attr("data-percent")},2e3);e(".skillbar-percent").addClass("fade")});e(" .work-item-ver3 article, .work-item-dark article ").each(function(){e(this).hoverdir()});e(".textarea-form").autosize({append:"\n"});e("#our-office-dark .open-map").click(function(){e(this).toggleClass("open-map-active");e("#map_canvas.dark").toggleClass("map-toggle")});e("#services .inner").hover(function(){e("#services article").toggleClass("article-hover")});e(".home #navigation ul li:eq(0)").addClass("current-page-item");e("#navigation").onePageNav({currentClass:"current-page-item"});e("#navigation, #navigation.nav-ver2").sticky({topSpacing:0});e(".player").mb_YTPlayer();e("#owl-banner").owlCarousel({autoPlay:5e3,slideSpeed:2e3,navigation:true,navigationText:["",""],pagination:false,singleItem:true,transitionStyle:"fade"});e("#owl-text").owlCarousel({autoPlay:4e3,slideSpeed:1e3,navigation:false,pagination:false,singleItem:true,transitionStyle:"goUp"});e("#owl-text-25").owlCarousel({autoPlay:4e3,slideSpeed:1e3,navigation:false,pagination:false,singleItem:true,transitionStyle:"fade"});e("#owl-twitter").owlCarousel({autoPlay:5e3,slideSpeed:1e3,navigation:true,navigationText:["",""],pagination:false,singleItem:true,transitionStyle:"fade"});e("#owl-testimonials").owlCarousel({autoPlay:6e3,slideSpeed:1e3,navigation:true,navigationText:["",""],pagination:false,singleItem:true,transitionStyle:"fade"});e("#owl-lasted-post").owlCarousel({autoPlay:1e4,items:3,navigation:false,pagination:true});e("#owl-blog-list").owlCarousel({autoPlay:4e3,slideSpeed:1e3,navigation:true,navigationText:["",""],pagination:false,singleItem:true});e(".home header nav ul li:eq(0)").addClass("current-page-item");e("header nav").onePageNav();e("#scroll-top").click(function(){e("html, body").animate({scrollTop:0},1e3)});e("#header-wrap.parallax-mouse-move").mousemove(function(t){var n=t.pageX*-1/12;var r=t.pageY*-1/10;e(this).css({"background-position":n+"px "+r+"px"})});if(e(".popup-image").length>0){e(".popup-image").magnificPopup({type:"image"})}if(e(".popup-gallery").length>0){e(".popup-gallery").magnificPopup({type:"inline",callbacks:{open:function(){e(".img-slideshow").owlCarousel({slideSpeed:500,navigation:true,pagination:false,singleItem:true})},close:function(){},imageLoadComplete:function(){}}})}if(e(".popup-soundcloud").length>0){e(".popup-soundcloud").magnificPopup({type:"iframe",mainClass:"soundcloud-popup"})}if(e(".popup-youtube, .popup-vimeo, .popup-gmaps").length>0){e(".popup-youtube, .popup-vimeo, .popup-gmaps").magnificPopup({disableOn:700,type:"iframe",fixedContentPos:false,fixedBgPos:false,mainClass:"mfp-fade",removalDelay:160,preloader:false})}if(e(window).width()>767){e("#fun-facts .col").appear(function(){var t=e(".countup",this).html();e(".countup",this).countTo({from:0,to:t,speed:2500,refreshInterval:50})});(new WOW).init()}if(e("#contact-form").length>0){e("#contact-form").validate({rules:{name:{required:true,minlength:2},email:{required:true,email:true},message:{required:true,minlength:10}},messages:{name:{required:"Please enter your name.",minlength:e.format("At least {0} characters required.")},email:{required:"Please enter your email.",email:"Please enter a valid email."},message:{required:"Please enter a message.",minlength:e.format("At least {0} characters required.")}},submitHandler:function(t){e("#submit-contact").html("Sending...");e(t).ajaxSubmit({success:function(t,n,r,i){alert('Email Sent');e("#contact-content").slideUp(600,function(){e("#contact-content").html(t).slideDown(600);e("#submit-contact").html("Submit")})}});return false}})}})

function parallaxInit() {
    $('#header-wrap').parallax("50%", 0.2);
    $('#twitter').parallax("50%", 0.2);
    $('#fun-facts').parallax("50%", 0.2);
    $('#team').parallax("50%", 0.2);
    $('#testimonials').parallax("50%", 0.2);
    $('#our-office-dark').parallax("50%", 0.2);
    $('#our-skill').parallax("50%", 0.2);
    $('#header-wrap .flexslider .item-parallax').parallax("50%", 0.2);
}
    
//Background parallax
if ($(window).width() > 992) {

    $(window).bind('load', function () {
        parallaxInit();                       
    });

    
}


jQuery(document).ready(function($) {
// Portfolio Isotope
    var container = $('#work-wrap');


    container.isotope({
        animationEngine : 'best-available',
        animationOptions: {
            duration: 200,
            queue: false
        },
        layoutMode: 'fitRows'
    });

    $('#filters li:eq(0) a').addClass('select-filter');
    $('#filters a').click(function(){
        $('#filters a').removeClass('select-filter');
        $(this).addClass('select-filter');
        var selector = $(this).attr('data-filter');
        container.isotope({ filter: selector });
        setProjects();
        return false;
    });


    function splitColumns() {
        var winWidth = $(window).width(),
            columnNumb = 1;


        if (winWidth > 1024) {
            columnNumb = 4;
        } else if (winWidth > 992) {
            columnNumb = 3;
        } else if (winWidth > 479) {
            columnNumb = 2;
        } else if (winWidth < 700) {
            columnNumb = 1;
        }

        return columnNumb;


    }

    function setColumns() {
        var winWidth = $(window).width(),
            columnNumb = splitColumns(),
            postWidth = Math.floor(winWidth / columnNumb);

        container.find('.work-item').each(function () {
            $(this).css( {
                width : postWidth + 'px'
            });
        });
    }

    function setProjects() {
        setColumns();
        container.isotope('reLayout');
    }


    

    container.imagesLoaded(function () {
        setColumns();
    });


    $(window).bind('resize', function () {
        setProjects();
    });

});


$(window).load(function() {
    document.getElementById("all").click();
    
    //Flex slide setting
    $('.flexslider').flexslider({
        animation: "fade",
        controlNav: false,
        directionNav: true,
        prevText: "",
        nextText: "",
        start: function(slider){
            $('body').removeClass('loading');
        }
    });
});




