$( document ).ready(function() {

  // smooth scrolling
  $(function() {
    $('.smooth-scroll').click(function() {
      if (location.pathname.replace(/^\//,'') == this.pathname.replace(/^\//,'') && location.hostname == this.hostname) {
        var target = $(this.hash);
        target = target.length ? target : $('[name=' + this.hash.slice(1) +']');
        if (target.length) {
          $('html,body').animate({
            scrollTop: target.offset().top
          }, 1000);
          return false;
        }
      }
    });
  });

  // Select all text in an input on focus
  $("input[type='number']").on("click", function () {
     $(this).select();
     $(this).get(0).selectionStart=0;
     $(this).get(0).selectionEnd=999;
  });
/*
  // Aside fixed sidebar
  $(function() {

      var $sidebar   = $(".aside-container"), 
          $window    = $(window),
          offset     = $sidebar.offset(),
          topPadding = 15;

      $window.scroll(function() {
          if ($window.scrollTop() > offset.top) {
              $sidebar.stop().animate({
                  marginTop: $window.scrollTop() - offset.top + topPadding
              });
          } else {
              $sidebar.stop().animate({
                  marginTop: 0
              });
          }
      });
      
  }); */
  // ADDS CLASS OF ACTIVE TO WASH AND FOLD TOGGLES
  $('a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
    $('a[data-toggle="tab"]').removeClass("active");
    $(this).addClass("active");
  })

  // 
  // CALCULATOR
  // 
  
  var total = 0;
  var subtotalDC = 0;
  var subtotalWF = 0;
  var subtotalCombined = 0;
  var timeSaved = 0;
  var machineLoad = 10;
  var timePerLoad = 80;
  var discount = 0;

  $("#reset, #reset-footer").on("click", function() {
    $("body").parent().find("input[type=text]").val('').change();
   
    $("#notice").css("opacity", "1");
    $("#total").text("$0.00");
    $("#totalkeys").text("0");
	$("#site-url") .text("Please enter website url");
    $("#canvas").removeClass('fadeIn').addClass("fadeOut");
    // $(".action-btn").slideUp();
   
    $(".footer-controls").slideUp(); 	
  },destroy());

  
function destroy() {
   jQuery.ajax({
      "url":"http://imediaecom.biz/SEOdrift/unset.php",
      // "success":function() {
         // alert("i logged out");
      // }
   });
}
  
  // Buttons for + and - next to the input
  $(".button").on("click", function() {

    var $button = $(this);
    var oldValue = $button.parent().find("input").val();

    if ($button.text() == "+") {
      var newVal = parseFloat(oldValue) + 1;
    } else {
     // Don't allow decrementing below zero
      if (oldValue > 0) {
        var newVal = parseFloat(oldValue) - 1;
      } else {
        newVal = 0;
      }
    }
    $button.parent().find("input").val(newVal).change();
  });

  $(".wf-item, .dc-item").on("click", function() {
    var $button = $(this);
    var oldValue = $button.parent().find("input").val();
    var newVal = parseFloat(oldValue) + 1;
    $button.parent().find("input").val(newVal).change();
  });

  // Calculate Subtotal
  var calcItemTotal = function () {

    // Calculate Wash and Fold
    $('#table-wash-fold :input[type="number"]').change(function() {

      // convert value inside input to integer
      var newInputWashFold = parseInt($(this).val(), 10);

      // Loop through each input and add the final cost into an array
      var priceArrayWashFold = [];
      var weightArrayWashFold = [];
      $('#table-wash-fold :input[type="number"]').each(function() {
        var itemPriceWashFold = $(this).data("price");
        if ($(this).data("weight") >= 0) {
          var itemWeightWashFold = $(this).data("weight");
        }

        else {
          var itemWeightWashFold = 1;
        }
        var newInput2WashFold = parseInt($(this).val(), 10);

        var weightTotalWashFold = (itemWeightWashFold * newInput2WashFold);
        var priceTotalWashFold = (itemWeightWashFold * itemPriceWashFold * newInput2WashFold);
        priceArrayWashFold.push(priceTotalWashFold);
        weightArrayWashFold.push(weightTotalWashFold);
      });

      // reset the subtotalDC
      subtotalWF = 0;

      var pricaArrayLengthWashFold = priceArrayWashFold.length;
      for (var i = 0; i < pricaArrayLengthWashFold; i++) {    
          subtotalWF += priceArrayWashFold[i];
      }

      subtotalWF = parseFloat(subtotalWF).toFixed(2);

      $("#estimate-wf").text("$" + subtotalWF);

      // reset the subtotalDC
      weightWF = 0;

      var weightArrayLengthWashFold = weightArrayWashFold.length;
      for (var i = 0; i < weightArrayLengthWashFold; i++) {    
          weightWF += weightArrayWashFold[i];
      }

      weightWF = parseFloat(weightWF).toFixed(2);

      // Time saved
      timeSaved = (weightWF);
      parseFloat(timeSaved).toFixed(2);
 
      $("#time-saved").removeClass();

      if (timeSaved <= (machineLoad)) {
        $(".benefits").slideDown();
        $("#time-saved").slideDown().text("Congrats! You could have given up on a rubix cube three times over the course of the time you’ve saved.").addClass("animated rubberBand");
      }

      else if (timeSaved <= (machineLoad * 2) && timeSaved > (machineLoad) ) {
        $(".benefits").slideDown();
        $("#time-saved").slideDown().addClass("animated bounce").text("Congrats! You just saved enough time to file your tax return. Not that you want to.");
      }

      else if (timeSaved <= (machineLoad * 3) && timeSaved > (machineLoad * 2) ) {
        $(".benefits").slideDown();
        $("#time-saved").slideDown().addClass("animated tada").text("Congrats! You just save enough time to watch the sunset four times.");
      }

      else if (timeSaved <= (machineLoad * 4) && timeSaved > (machineLoad * 3) ) {
        $("#time-saved").text((timePerLoad*4) + " min.");
      }
      
      else if (timeSaved <= (machineLoad * 5) && timeSaved > (machineLoad * 4) ) {
        $("#time-saved").text((timePerLoad*5) + " min.");
      }


      $("#weight-wf").text("≈" + weightWF + " lbs");


      $(".action-btn").slideDown();   
      $(".footer-controls").slideDown();   

      calcSubTotal();
      calcDelivery();
      finalTotal();

      return subtotalWF;
    });

    // Calculate Dry Cleaning
    $('#table-dry-cleaning :input[type="number"]').change(function() {

      // convert value inside input to integer
      var newInput = parseInt($(this).val(), 10);

      // Loop through each input and add the final cost into an array
      var priceArray = [];
      $('#table-dry-cleaning :input[type="number"]').each(function() {
        var itemPrice = $(this).data("price");
        var newInput2 = parseInt($(this).val(), 10);
        var weightTotal = (itemPrice)
        var priceTotal = (itemPrice * newInput2);
        priceArray.push(priceTotal);

        console.log("total weight is" + weightTotal);

      });

      // reset the subtotalDC
      subtotalDC = 0;

      var pricaArrayLength = priceArray.length;
      for (var i = 0; i < pricaArrayLength; i++) {    
          subtotalDC += priceArray[i];
      }

      subtotalDC = parseFloat(subtotalDC).toFixed(2);

      $("#estimate-dc").text("$" + subtotalDC);
      calcSubTotal();
      calcDelivery();
      finalTotal();

      $(".footer-controls").slideDown();   
      return subtotalDC;
    });
  }

  // Calculate subTotal
  var calcSubTotal = function () {

    subtotalCombined = parseFloat(subtotalDC) + parseFloat(subtotalWF);
    subtotalCombined = parseFloat(subtotalCombined).toFixed(2);
    $("#subtotal, #subtotal-footer").text("$" + subtotalCombined);
    return subtotalCombined;
  }

  // Calculate total
  var finalTotal = function () {
    total = parseFloat(subtotalCombined) + parseFloat(deliveryFee);
    total = parseFloat(total).toFixed(2);
    $("#total, #total-footer").text("$" + total);

    if (total >= 8) {
      $(".promotion").slideDown();
    }
  }

  calcItemTotal();
});


// CONFETTI
window.onload = function () {
    //canvas init
    var canvas = document.getElementById("canvas");
    var ctx = canvas.getContext("2d");

    //canvas dimensions
    var W = window.innerWidth;
    var H = window.innerHeight;
    canvas.width = W;
    canvas.height = H;

    //snowflake particles
    var mp = 100; //max particles
    var particles = [];
    for (var i = 0; i < mp; i++) {
        particles.push({
            x: Math.random() * W, //x-coordinate
            y: Math.random() * H, //y-coordinate
            r: Math.random() * 15 + 1, //radius
            d: Math.random() * mp, //density
            color: "#29a7da",
            tilt: Math.floor(Math.random() * 5) - 5
        });
    }

    //Lets draw the flakes
    function draw() {
        ctx.clearRect(0, 0, W, H);



        for (var i = 0; i < mp; i++) {
            var p = particles[i];
            ctx.beginPath();
            ctx.lineWidth = p.r;
            ctx.strokeStyle = p.color; // Green path
            ctx.moveTo(p.x, p.y);
            ctx.lineTo(p.x + p.tilt + p.r / 3, p.y + p.tilt);
            ctx.stroke(); // Draw it
        }

        update();
    }

    //Function to move the snowflakes
    //angle will be an ongoing incremental flag. Sin and Cos functions will be applied to it to create vertical and horizontal movements of the flakes
    var angle = 0;

    function update() {
        angle += 0.001;
        for (var i = 0; i < mp; i++) {
            var p = particles[i];
            //Updating X and Y coordinates
            //We will add 1 to the cos function to prevent negative values which will lead flakes to move upwards
            //Every particle has its own density which can be used to make the downward movement different for each flake
            //Lets make it more random by adding in the radius
            p.y += Math.cos(angle + p.d) + 1 + p.r / 20;
            p.x += Math.sin(angle) * 2;

            //Sending flakes back from the top when it exits
            //Lets make it a bit more organic and let flakes enter from the left and right also.
            if (p.x > W + 5 || p.x < -5 || p.y > H) {
                if (i % 3 > 0) //66.67% of the flakes
                {
                    particles[i] = {
                        x: Math.random() * W,
                        y: -1,
                        r: p.r,
                        d: p.d,
                        color: p.color,
                        tilt: p.tilt
                    };
                } else {
                    //If the flake is exitting from the right
                    if (Math.sin(angle) > 0) {
                        //Enter from the left
                        particles[i] = {
                            x: -5,
                            y: Math.random() * H,
                            r: p.r,
                            d: p.d,
                            color: p.color,
                            tilt: p.tilt
                        };
                    } else {
                        //Enter from the right
                        particles[i] = {
                            x: W + 5,
                            y: Math.random() * H,
                            r: p.r,
                            d: p.d,
                            color: p.color,
                            tilt: p.tilt
                        };
                    }
                }
            }
        }
    }

    //animation loop
    setInterval(draw, 30);
}