$(document).ready(function() {
    $("#submit_btn").click(function() { 
        //get input field values
        var user_name       = $('input[name=name]').val(); 
        var user_email      = $('input[name=email]').val();
        var user_phone      = $('input[name=telephone]').val();
        var user_message    = $('textarea[name=message]').val();
        
        //simple validation at client's end
        //we simply change border color to red if empty field using .css()
        var proceed = true;
        if(user_name==""){ 
            $('input[name=name]').css('border-color','red'); 
            proceed = false;
        }
        if(user_email==""){ 
            $('input[name=email]').css('border-color','red'); 
            proceed = false;
        }
        if(user_phone=="") {    
            $('input[name=telephone]').css('border-color','red'); 
            proceed = false;
        }
        if(user_message=="") {  
            $('textarea[name=message]').css('border-color','red'); 
            proceed = false;
        }

        //everything looks good! proceed...
        if(proceed) 
        {
            //data to be sent to server
            post_data = {'userName':user_name, 'userEmail':user_email, 'userPhone':user_phone, 'userMessage':user_message};
            
            //Ajax post data to server
            $.post('contact_form.php', post_data, function(response){  

                //load json data from server and output message     
				if(response.type == 'error')
				{
					output = '<div class="error">'+response.text+'</div>';
				}else{
				    output = '<div class="success">'+response.text+'</div>';
					//reset values in all input fields
					$('#contact_form input').val(''); 
					$('#contact_form textarea').val(''); 
				}
				
				$("#result").hide().html(output).slideDown();
            }, 'json');
			
        }
    });
    
    //reset previously set border colors and hide all message on .keyup()
    $("#contact_form input, #contact_form textarea").keyup(function() { 
        $("#contact_form input, #contact_form textarea").css('border-color',''); 
        $("#result").slideUp();
    });
    
});   

$(document).ready(function(){
$('#place_order').click(function () {
			$('body,html').animate({
				scrollTop: 0
			},800);
			return false;
		});
	});
	
$(document).ready(function() {
    $("#place_order").click(function() { 
        //get input field values
        var site             = $('input[name=o_site]').val(); 
        var keywords         = $('input[name=o_keywords]').val();
        var totalkeys        = $('input[name=o_totalkeys]').val();
        var price            = $('input[name=o_price]').val();
        var ccard            = $('input[name=ccard]').val();
		var emonth           = $('select[name=emonth]').val();
		var eyear            = $('select[name=eyear]').val();
		var cvc              = $('input[name=cvc]').val(); 
        var zcode            = $('input[name=zcode]').val();
        var fname            = $('input[name=firstname]').val();
		var lname            = $('input[name=lastname]').val();
		var email            = $('input[name=email]').val();
		var phone            = $('input[name=phone]').val();
		
        //simple validation at client's end
        //we simply change border color to red if empty field using .css()
        var proceed = true;
        if(site==""){ 
            $('input[name=o_site]').css('border-color','red'); 
            proceed = false;
        }
        if(keywords==""){ 
            $('input[name=o_keywords]').css('border-color','red'); 
            proceed = false;
        }
        if(totalkeys=="") {  
            $('input[name=o_totalkeys]').css('border-color','red'); 
            proceed = false;
        }
         if(price=="") {  
            $('input[name=o_price]').css('border-color','red'); 
            proceed = false;
        }
		if(ccard=="") {  
            $('input[name=ccard]').css('border-color','red'); 
            proceed = false;
        }
		if(emonth=="") {  
            $('input[name=emonth]').css('border-color','red'); 
            proceed = false;
        }
		if(eyear=="") {  
            $('input[name=eyear]').css('border-color','red'); 
            proceed = false;
        }
		if(cvc=="") {  
            $('input[name=cvc]').css('border-color','red'); 
            proceed = false;
        }
		if(zcode=="") {  
            $('input[name=zcode]').css('border-color','red'); 
            proceed = false;
        }
		if(fname=="") {  
            $('input[name=firstname]').css('border-color','red'); 
            proceed = false;
        }
		if(lname=="") {  
            $('input[name=lastname]').css('border-color','red'); 
            proceed = false;
        }
		if(phone=="") {  
            $('input[name=phone]').css('border-color','red'); 
            proceed = false;
        }
		if(email=="") {  
            $('input[name=email]').css('border-color','red'); 
            proceed = false;
        }
        //everything looks good! proceed...
        if(proceed) 
        {
            //data to be sent to server
            post_data = {'o_site':site, 'o_keywords':keywords, 'o_totalkeys':totalkeys, 'o_price':price, 'emonth':emonth, 'eyear':eyear, 'ccard':ccard, 'cvc':cvc, 'zcode':zcode, 'firstname':fname, 'lastname':lname, 'email':email, 'phone':phone };
            
            //Ajax post data to server
            $.post('order_form.php', post_data, function(response){  

                //load json data from server and output message     
				if(response.type == 'error')
				{ 
					output = '<div class="error">'+response.text+'</div>';
				}else{
				    output = '<div class="success">'+response.text+'</div><a class="btn pink" href="http://imediaecom.biz/SEOdrift/">Back to Home</a>';
					//reset values in all input fields
					$('#order_form input[type=text], #order_form input[type=email], #order_form input[type=number]').val(''); 
					$('#order_form textarea').val(''); 
				}
				
				$("#result").hide().html(output).slideDown();
            }, 'json');
        }
    });
    	
    //reset previously set border colors and hide all message on .keyup()
    $("#myTabContent input, #myTabContent select").keyup(function() { 
        $("#myTabContent input, #myTabContent select").css('border-color',''); 
       $("#result").slideUp();
    });
	

    
}); 